com.fasterxml.jackson.databind.deser

## Class UnresolvedId

- java.lang.Object
- - com.fasterxml.jackson.databind.deser.UnresolvedId

    public class UnresolvedId
    extends Object

Helper class for `UnresolvedForwardReference`, to contain information about unresolved ids.

Author:
  pgelinas

### Constructor Summary

Constructors
Constructor and Description
`UnresolvedId(Object id, Class<?> type, com.fasterxml.jackson.core.JsonLocation where)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `getId()` The id which is unresolved.
`com.fasterxml.jackson.core.JsonLocation` `getLocation()`
`Class<?>` `getType()` The type of object which was expected.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UnresolvedId

    public UnresolvedId(Object id,
                        Class<?> type,
                        com.fasterxml.jackson.core.JsonLocation where)

### Method Detail

#### getId

    public Object getId()

The id which is unresolved.

#### getType

    public Class<?> getType()

The type of object which was expected.

#### getLocation

    public com.fasterxml.jackson.core.JsonLocation getLocation()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`